##  for PCLinuxOS  ##

%define src_version 20180604
%define ver         0.%{src_version}
%define rel         1.nora18
%define src_name    umeplus-fonts
%define _fontdir    %{_datadir}/fonts/TTF/japanese

Name:    fonts-ttf-japanese
Summary: Free Japanese TrueType fonts UmePlus
Summary(ja): UmePlus フォント
Version: %{ver}
Release: %{rel}
License: Distributable
URL:     http://www.geocities.jp/ep3797/modified_fonts_01.html
Group:   System/Fonts/True type
Source0: https://osdn.net/downloads/users/21/21734/%{src_name}-%{src_version}.tar.xz
BuildArch: noarch
Obsoletes: xtt-fonts
Provides:  xtt-fonts

%description
This Package provides Free Japanese TrueType fonts UmePlus.
UmePlus fonts are modified Ume and M+ fonts for Japanese.

%description -l ja
UmePlusフォント は、梅フォント と M+フォント を組み合わせて作成されたゴシック体の日本語フォントです。
漢字には 梅フォント が、アルファベット/ひらがな/カタカナ には M+フォント が使用されています。

このパッケージで以下の2書体がインストールされます。
(UmePlusゴシック , UmePlus Pゴシック)


%prep
%setup -q -n %{src_name}-%{src_version}

%build

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -m 644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese:pri=50


%files
%defattr(-,root,root,0755)
%doc ChangeLog README.md
%doc docs-*/ fontforge-scripts-*/
%{_fontdir}/*.ttf
%{_sysconfdir}/X11/fontpath.d/ttf-japanese:pri=50


%changelog
* Wed Jun 06 2018 tomcat <> 0.20180604-1
- update to 20180604
- update %%files section

* Fri Nov 11 2016 tomcat <> 0.20161108-1
- updata to 20161108

* Sat Apr 02 2016 tomcat <> 0.20160402-1
- updata to 20160402

* Fri Sep 17 2015 tomcat <> 0.20150917-1
- updata to 20150917

* Fri Jan 16 2015 tomcat <> 0.20150115-1
- updata to 20150115

* Mon Apr 28 2014 tomcat <> 0.20140427-0.1.nora14
- updata to 20140427

* Thu Apr 24 2014 tomcat <> 0.20140423-0.1.nora14
- updata to 20140423

* Sat Nov 09 2013 tomcat <> 0.20131109-1.nora13
- updata to 20131109

* Sun May 12 2013 tomcat <> 0.20130511-1nora13
- updata to 20130511

* Tue Jan 08 2013 tomcat <> 0.20130108-1nora13
- updata to 20130108

* Mon Oct 01 2012 tomcat <> 0.20121001-1nora12
- updata to 20121001

* Wed Apr 04 2012 tomcat <> 0.20120403-1nora12
- updata to 20120403

* Wed Feb 08 2012 tomcat <> 0.20120206-1nora12
- updata to 20120206

* Sat Nov 26 2011 tomcat <> 0.20111125-1nora11
- updata to 20111125

* Wed Sep 07 2011 tomcat <> 0.20110907-1nora11
- updata to 20110907

* Mon Jul 18 2011 tomcat <> 0.20110713-1nora11
- updata to 20110713

* Sun Jul 03 2011 tomcat <> 0.20110512-2nora11
- rebuild

* Sat May 14 2011 tomcat <> 0.20110512-1nora11
- update to 20110512

* Sun Mar 20 2011 tomcat <> 0.20110312-1nora11
- update to 20110312

* Wed Feb 02 2011 tomcat <> 0.20110130-1nora11
- update to 20110130

* Sun Nov 07 2010 tomcat <> 0.20101107-1nora103
- update to 20101107

* Wed Sep 29 2010 tomcat <> 0.20100928-1nora102
- update to 20100928

* Mon Aug 16 2010 tomcat <> 0.20100816-1nora102
- update to 20100816

* Thu Jul 15 2010 tomcat <> 0.20100714-0.1nora102
- update to 20100714

* Thu Jun 10 2010 tomcat <> 0.20100610-0.1nora101
- update to 20100610
- drop Source1,2
- remove %%post and %%postun sections
- update %%files section

* Tue Apr 20 2010 tomcat <> 0.20100418-1nora10
- update to 20100418

* Thu Mar 18 2010 tomcat <> 0.20100317-1nora10
- update to 20100317
- remove 'BR: freetype-tools'

* Sat Feb 06 2010 tomcat <> 0.20100204-1nora10
- update to 20100204

* Thu Jan 07 2010 tomcat <> 0.20100106-1nora10
- update to 20100106

* Thu Dec 10 2009 tomcat <> 0.20091208-1nora10
- update to 20091208

* Sat Oct 14 2009 tomcat <> 0.20091111-1nora10
- update to 20091111

* Fri Oct 09 2009 tomcat <> 0.20091005-1nora10
- update to 20091005

* Tue Sep 29 2009 tomcat <> 0.20090918a-2nora09
- fix %%post and %%postun section

* Fri Sep 18 2009 tomcat <> 0.20090918a-1nora09
- update to 20090918a

* Wed Aug 05 2009 tomcat <> 0.20090804-1nora09
- update to 20090804

* Sat Jul 11 2009 tomcat <> 0.20090706-1nora09
- update to 20090706

* Sat Jun 06 2009 tomcat <> 0.20090604-1nora09
- update to 20090604

* Fri May 08 2009 tomcat <> 0.20090507-1nora09
- update to 20090507

* Sun Apr 26 2009 tomcat <> 0.20090424-1nora09
- update to 20090424
- add Summary(ja) and %%description -l ja

* Thu Feb 12 2009 tomcat <> 0.20090209-1nora07
- update to 20090209

* Sat Oct 25 2008 tomcat <> 0.20081010-1nora07
- update to 20081010

* Tue Aug 21 2007 Bender the Build Bot <benderbot@pclinuxos.com> 0.20070703-1pclos2007
- New snapshot

* Fri Oct 27 2006 Texstar <texstar@houston.rr.com>
- initial build for pclinuxos 2007
